Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ServiceTimeParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.params.MultiPeriodGenParams
          umontreal.iro.lecuyer.contactcenters.msk.params.ServiceTimeParams

    public class ServiceTimeParams

extends MultiPeriodGenParams

Represents parameters for service times.

Nested Class Summary

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.contactcenters.params.MultiPeriodGenParams
`MultiPeriodGenParams.PeriodGen`

Field Summary
`protected Integer` | `agent`
`protected Integer` | `group`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.params.MultiPeriodGenParams
`defaultGen, distributionClass, estimateParameters, generatorClass, mult, periodGen, preGen, shift, unit, wrapGen`

Constructor Summary
`ServiceTimeParams()`

Method Summary
`int` | `getAgent()` Gets the value of the agent property.
`int` | `getGroup()` Gets the value of the group property.
`boolean` | `isSetAgent()`
`boolean` | `isSetGroup()`
`void` | `setAgent(int value)` Sets the value of the agent property.
`void` | `setGroup(int value)` Sets the value of the group property.
`void` | `unsetAgent()`
`void` | `unsetGroup()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.params.MultiPeriodGenParams
`getDefaultGen, getDistributionClass, getGeneratorClass, getMult, getPeriodGen, getPreGen, getShift, getUnit, getWrapGen, isEstimateParameters, isSetDefaultGen, isSetDistributionClass, isSetEstimateParameters, isSetGeneratorClass, isSetMult, isSetPeriodGen, isSetPreGen, isSetShift, isSetUnit, isSetWrapGen, setDefaultGen, setDistributionClass, setEstimateParameters, setGeneratorClass, setMult, setPreGen, setShift, setUnit, setWrapGen, unsetEstimateParameters, unsetMult, unsetPeriodGen, unsetShift`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### group

    protected Integer group

### agent

    protected Integer agent

Constructor Detail

### ServiceTimeParams

    public ServiceTimeParams()

Method Detail

### getGroup

    public int getGroup()

  Gets the value of the group property.

  Returns:
    possible object is `Integer`

### setGroup

    public void setGroup(int value)

  Sets the value of the group property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetGroup

    public boolean isSetGroup()

### unsetGroup

    public void unsetGroup()

### getAgent

    public int getAgent()

  Gets the value of the agent property.

  Returns:
    possible object is `Integer`

### setAgent

    public void setAgent(int value)

  Sets the value of the agent property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetAgent

    public boolean isSetAgent()

### unsetAgent

    public void unsetAgent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.